Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.plugins.support.aware
[Java] Class ClassLoaderAwareBeanPostProcessor

    java.lang.Object
      org.codehaus.groovy.grails.plugins.support.BeanPostProcessorAdapter
          org.codehaus.groovy.grails.plugins.support.aware.ClassLoaderAwareBeanPostProcessor

    public class ClassLoaderAwareBeanPostProcessor
    extends BeanPostProcessorAdapter

Constructor Summary
`ClassLoaderAwareBeanPostProcessor(java.lang.ClassLoader classLoader)`

Method Summary
`java.lang.Object` | `postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)`

Methods inherited from class BeanPostProcessorAdapter
postProcessAfterInitialization, postProcessBeforeInitialization

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Constructor Detail

### ClassLoaderAwareBeanPostProcessor

    public ClassLoaderAwareBeanPostProcessor(java.lang.ClassLoader classLoader)

Method Detail

### postProcessBeforeInitialization

    @java.lang.Override
    public java.lang.Object postProcessBeforeInitialization(java.lang.Object bean, java.lang.String beanName)

Groovy Documentation